Bug 217154 - sysutils/py-salt: Fix startup script to be more robust and cleanly shutdown
Summary: sysutils/py-salt: Fix startup script to be more robust and cleanly shutdown
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brad Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-16 19:54 UTC by Brad Davis
Modified: 2017-02-19 02:12 UTC (History)
2 users (show)

See Also:
christer.edwards: maintainer-feedback+
woodsb02: merge-quarterly+


Attachments
patch (1.82 KB, patch)
2017-02-16 20:19 UTC, Brad Davis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Davis freebsd_committer 2017-02-16 19:54:35 UTC
I have ran into a situation where when I do a:

service salt_master restart

The master does not exit quickly enough and so the start command fails.  This patch addresses it by teaching the rc framework the value of the pidfile.
Comment 1 Brad Davis freebsd_committer 2017-02-16 20:19:05 UTC
Created attachment 180058 [details]
patch
Comment 2 Christer Edwards 2017-02-16 21:18:35 UTC
Thanks for the fix.
Comment 3 commit-hook freebsd_committer 2017-02-17 16:00:25 UTC
A commit references this bug:

Author: brd
Date: Fri Feb 17 15:59:58 UTC 2017
New revision: 434287
URL: https://svnweb.freebsd.org/changeset/ports/434287

Log:
  sysutils/py-salt:  Teach the Salt master and minion startup scripts to set
  pidfile=.

  On a restart this will cause the rc framework to wait for the processes to
  exit before trying to start, instead of failing to start because the previous
  processes have not gone away yet.

  PR:		217154
  Approved by:	Christer Edwards <christer.edwards@gmail.com> (maintainer),
  		bdrewery (mentor, implicit)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/files/salt_master.in
  head/sysutils/py-salt/files/salt_minion.in
Comment 4 Brad Davis freebsd_committer 2017-02-17 16:01:18 UTC
Thanks!
Comment 5 Ben Woods freebsd_committer 2017-02-19 02:12:37 UTC
Merged to 2017Q1 quarterly branch. Thanks!
Comment 6 commit-hook freebsd_committer 2017-02-19 02:12:41 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Feb 19 02:12:10 UTC 2017
New revision: 434392
URL: https://svnweb.freebsd.org/changeset/ports/434392

Log:
  MFH: r434287

  sysutils/py-salt:  Teach the Salt master and minion startup scripts to set
  pidfile=.

  On a restart this will cause the rc framework to wait for the processes to
  exit before trying to start, instead of failing to start because the previous
  processes have not gone away yet.

  PR:		217154
  Approved by:	Christer Edwards <christer.edwards@gmail.com> (maintainer),
  		bdrewery (mentor, implicit)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/sysutils/py-salt/Makefile
  branches/2017Q1/sysutils/py-salt/files/salt_master.in
  branches/2017Q1/sysutils/py-salt/files/salt_minion.in